import { BaseEntity } from '../entities';

export interface IBaseTransformerRepository<PayloadEntity extends BaseEntity = BaseEntity> {
  transformerGetList(payload: PayloadEntity[]): PayloadEntity[];
  transformerGetOne(payload: PayloadEntity): PayloadEntity;
  transformerCreate(payload: PayloadEntity): PayloadEntity;
  transformerEdit(payload: PayloadEntity): PayloadEntity;
  transformerDuplicate(payload: PayloadEntity): PayloadEntity;
  transformerFilterIndexTable(payload: any): any;
  transformerDefaultFilterIndexTable(payload: any): any;
}
